Ruby - Feature #15657

Make webrick to bundled gems
03/11/2019 12:12 PM - hsbt (Hiroshi SHIBATA)

Status: Closed

Priority: Normal

Assignee: hsbt (Hiroshi SHIBATA)
Target version:

Description
The maintenance of webrick is hard for the ruby core team because we should handle a lot of security issues in the future.

webrick was promoted the default gems in Ruby 2.5. It's a good time to promote the bundled gems from default gems before Ruby
3.0 release.

Related issues:

Related to Ruby - Feature #5481: Gemifying Ruby standard library Closed
Related to Ruby - Feature #17303: Remove webrick from stdlib Closed
History

#1 - 03/22/2019 10:10 AM - hsbt (Hiroshi SHIBATA)

- File remove-webrick.patch added

Attached the patch for this feature.

#2 - 01/06/2020 06:35 AM - hsbt (Hiroshi SHIBATA)
- Related to Feature #5481: Gemifying Ruby standard library added

#3 - 12/24/2020 06:59 AM - hsbt (Hiroshi SHIBATA)
- Related to Feature #17303: Remove webrick from stdlib added

#4 - 12/24/2020 07:06 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

WEBFrick has been removed from ruby repository at Ruby 3.0.

#5 - 12/24/2020 08:17 AM - jaruga (Jun Aruga)

Which is the actual commit of the ruby repository? | could not find it on master branch.

#6 - 12/24/2020 08:28 AM - jaruga (Jun Aruga)

Ah | expected remove-webrick.patch to add webrick to bundled gems modifying gems/bundled_gems from this ticket's patch.
But actually by #17303, | see the webrick has been completely removed without addding it to bundled gems. OK.

Files

remove-webrick.patch 130 KB 03/22/2019 hsbt (Hiroshi SHIBATA)
